The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / postgresql / S50postgresql
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/postgresql/S50postgresql b/cirros-testvm/src-cirros/buildroot-2015.05/package/postgresql/S50postgresql
new file mode 100644 (file)
index 0000000..86a8d83
--- /dev/null
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# start postgresql
+#
+
+umask 077
+
+if [ ! -f /var/lib/pgsql/PG_VERSION ]; then
+       echo "Initializing postgresql data base..."
+       su - postgres -c '/usr/bin/pg_ctl initdb -D /var/lib/pgsql'
+       echo "done"
+fi
+
+start() {
+       echo -n "Starting postgresql: "
+       su - postgres -c '/usr/bin/pg_ctl start -D /var/lib/pgsql -l logfile'
+       echo "OK"
+}
+stop() {
+       echo -n "Stopping postgresql: "
+       su - postgres -c '/usr/bin/pg_ctl stop -D /var/lib/pgsql -m fast'
+       echo "OK"
+}
+restart() {
+       stop
+       start
+}
+
+case "$1" in
+       start)
+               start
+               ;;
+       stop)
+               stop
+               ;;
+       restart|reload)
+               restart
+               ;;
+       *)
+               echo "Usage: $0 {start|stop|restart}"
+               exit 1
+esac
+
+exit $?